/*	This is my interpretation of the low-level routines written by
	Kirk Austin. I wonder if the Pascal and C calling conventions are
	similar enough for this to work?
	
		Nick, November 4th '88.
 */

extern pascal void initSccA(void);		/*	Modem port. */
extern pascal void initSccB(void);		/*	Printer port. */

extern pascal void txMidiA(int theData);
extern pascal void txMidiB(int theData);

extern pascal void startCounter(void);	/*	Sets counter to 1. */
extern pascal void loadTimer(int timerValue);
							/*	Change the timer value. */
extern pascal void initTimer(int timerValue);
							/*	Initialises the timer. 782 gives sec
								ticks. */

extern pascal long rxMidiA(void);	/*	Returns 0 if there's no MIDI data,
									otherwise byte 0 is the data, 1--3
									are the timer value. */
extern pascal long rxMidiB(void);

extern pascal long getCounter(void);/*	Returns the value of the counter. */

extern pascal void resetSccA(void);
extern pascal void resetSccB(void);

extern pascal void quitTimer(void);

